    
    // MPU-6050 Short Example Sketch
// By Arduino User JohnChi
// August 17, 2014
// Public Domain
#include<Wire.h>

const int MPU_addr=0x68;  // I2C address of the MPU-6050
int16_t AcX,AcY,AcZ,Tmp,GyX,GyY,GyZ;

    #include "SparkFunBME280.h"
    //Library allows either I2C or SPI, so include both.
    #include "Wire.h"
    #include "SPI.h"
     
    BME280 capteur;
    int nbMeasures;

    void setup() {
     
       Serial.begin(9600);
      while (!Serial) {
        // Attente de l'ouverture du port série pour Arduino LEONARDO
      }
      nbMeasures = 0;
      //configuration du capteur
      capteur.settings.commInterface = I2C_MODE; 
      capteur.settings.I2CAddress = 0x76;
      capteur.settings.runMode = 3; 
      capteur.settings.tStandby = 0;
      capteur.settings.filter = 0;
      capteur.settings.tempOverSample = 1 ;
      capteur.settings.pressOverSample = 1;
      capteur.settings.humidOverSample = 1;
     
      Serial.println("Starting BME280... ");
      delay(10);  // attente de la mise en route du capteur. 2 ms minimum
      // chargement de la configuration du capteur
      capteur.begin();

      Serial.println("CLEARSHEET"); // clears sheet starting at row 1
      //Serial.println("LABEL,Time,Counter,Temp1,Temp2,Temp3");
      Serial.println("LABEL,Time,Counter,Temperature,Pressure,Humidity,AcX,AcY,AcZ");


      Wire.begin();
      Wire.beginTransmission(MPU_addr);
      Wire.write(0x6B);  // PWR_MGMT_1 register
      Wire.write(0);     // set to zero (wakes up the MPU-6050)
      Wire.endTransmission(true);
    }
     
    void loop() {
      /*
      Serial.print("Température: ");
      Serial.print(capteur.readTempC(), 2);
      Serial.print(" °C");
      Serial.print("\t Pression: ");
      Serial.print(capteur.readFloatPressure(), 2);
      Serial.print(" Pa");
      Serial.print("\t humidité relative : ");
      Serial.print(capteur.readFloatHumidity(), 2);
      Serial.println(" %");
      */
      if (nbMeasures >= 99999)
        nbMeasures = 1;
      else
        nbMeasures++;

      Wire.beginTransmission(MPU_addr);
      Wire.write(0x3B);  // starting with register 0x3B (ACCEL_XOUT_H)
      Wire.endTransmission(false);
      Wire.requestFrom(MPU_addr,14,true);  // request a total of 14 registers
      AcX=Wire.read()<<8|Wire.read();  // 0x3B (ACCEL_XOUT_H) & 0x3C (ACCEL_XOUT_L)     
      AcY=Wire.read()<<8|Wire.read();  // 0x3D (ACCEL_YOUT_H) & 0x3E (ACCEL_YOUT_L)
      AcZ=Wire.read()<<8|Wire.read();  // 0x3F (ACCEL_ZOUT_H) & 0x40 (ACCEL_ZOUT_L)
      Tmp=Wire.read()<<8|Wire.read();  // 0x41 (TEMP_OUT_H) & 0x42 (TEMP_OUT_L)
  
      float TmpCelcius = Tmp/340.00+36.53;  //equation for temperature in degrees C from datasheet
      GyX=Wire.read()<<8|Wire.read();  // 0x43 (GYRO_XOUT_H) & 0x44 (GYRO_XOUT_L)
      GyY=Wire.read()<<8|Wire.read();  // 0x45 (GYRO_YOUT_H) & 0x46 (GYRO_YOUT_L)
      GyZ=Wire.read()<<8|Wire.read();  // 0x47 (GYRO_ZOUT_H) & 0x48 (GYRO_ZOUT_L)
 
      Serial.println( (String) "DATA,TIME," + nbMeasures +"," + capteur.readTempC() +","+capteur.readFloatPressure()/100 +","+capteur.readFloatHumidity()+","+AcX+","+AcY+","+AcZ);
      delay(1000);
   }
